## ros-humble-controller-manager-msgs 2.31.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(controller_manager_msgs)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  msg/ControllerState.msg
  msg/ChainConnection.msg
  msg/HardwareComponentState.msg
  msg/HardwareInterface.msg
)
set(srv_files
  srv/ConfigureController.srv
  srv/ListControllers.srv
  srv/ListControllerTypes.srv
  srv/ListHardwareComponents.srv
  srv/ListHardwareInterfaces.srv
  srv/LoadController.srv
  srv/ReloadControllerLibraries.srv
  srv/SetHardwareComponentState.srv
  srv/SwitchController.srv
  srv/UnloadController.srv
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${msg_files}
  ${srv_files}
  DEPENDENCIES builtin_interfaces lifecycle_msgs
  ADD_LINTER_TESTS
)
ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-humble-controller-manager-msgs (2.31.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.30.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.29.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.28.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.27.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.26.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.25.3-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.25.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.25.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.25.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-humble-controller-manager-msgs (2.24.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.24.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.23.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 20 Feb 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.22.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 31 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.21.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.20.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.19.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-humble-controller-manager-msgs (2.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Dec 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.17.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 27 Nov 2022 00:00:00 -0000

ros-humble-controller-manager-msgs (2.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.15.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.14.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.13.0-1jammy) jammy; urgency=high

  * Add chained controllers information in list controllers service #abi-braking (#758 <https://github.com/ros-controls/ros2_control/issues/758>)
    * add chained controllers in ros2controlcli
    * remove controller_group from service
    * added comments to ControllerState message
    * added comments to ChainedConnection message
  * Contributors: Paul Gesel

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 02 Aug 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 13 Jul 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.12.0-1jammy) jammy; urgency=high

  * Deprecate and rename start and stop nomenclature toward user to activate and deactivate #ABI-breaking (#755 <https://github.com/ros-controls/ros2_control/issues/755>)
    * Rename fields and deprecate old nomenclature.
    * Add new defines to SwitchController.srv
    * Deprecated start/stop nomenclature in all CLI commands.
    * Deprecate 'start_asap' too as other fields.
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 08 Jul 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.11.0-1jammy) jammy; urgency=high

  * Remove hybrid services in controller manager. They are just overhead. (#761 <https://github.com/ros-controls/ros2_control/issues/761>)
  * Update and fix CI setup (#752 <https://github.com/ros-controls/ros2_control/issues/752>)
  * Update maintainers of packages (#753 <https://github.com/ros-controls/ros2_control/issues/753>)
  * Remove ament autolint (#749 <https://github.com/ros-controls/ros2_control/issues/749>)
  * Contributors: Bence Magyar, Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 02 Jul 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.10.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 17 Jun 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 18 May 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.8.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 May 2022 23:00:00 -0000

ros-humble-controller-manager-msgs (2.7.0-1jammy) jammy; urgency=high





=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager-msgs//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-controller-manager-msgs 2.41.0

=== debian/changelog ===
ros-humble-controller-manager-msgs (2.41.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 29 Apr 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.40.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 01 Mar 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.39.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Feb 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.39.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 11 Feb 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.38.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 24 Jan 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.37.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 Jan 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.36.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 07 Jan 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.36.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 11 Dec 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.35.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 26 Nov 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.35.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 13 Nov 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.34.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 07 Nov 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.33.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Oct 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.32.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 02 Oct 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.31.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 10 Sep 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.30.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 13 Aug 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.29.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.28.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.27.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.26.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 19 May 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.25.3-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.25.2-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 19 Apr 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.25.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.25.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.24.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 08 Mar 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.24.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 27 Feb 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.23.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 19 Feb 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.22.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 30 Jan 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.21.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 23 Jan 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.20.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 11 Jan 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.19.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 05 Jan 2023 16:00:00 -0000

ros-humble-controller-manager-msgs (2.18.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 02 Dec 2022 16:00:00 -0000

ros-humble-controller-manager-msgs (2.17.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 26 Nov 2022 16:00:00 -0000

ros-humble-controller-manager-msgs (2.16.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 16 Oct 2022 16:00:00 -0000

ros-humble-controller-manager-msgs (2.15.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 18 Sep 2022 16:00:00 -0000

ros-humble-controller-manager-msgs (2.14.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 03 Sep 2022 16:00:00 -0000

ros-humble-controller-manager-msgs (2.13.0-1bookworm) bookworm; urgency=high

  * Add chained controllers information in list controllers service #abi-braking (#758 <https://github.com/ros-controls/ros2_control/issues/758>)


=== debian/control ===
Source: ros-humble-controller-manager-msgs
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-lifecycle-msgs, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/controller_manager_msgs
Standards-Version: 3.9.2

Package: ros-humble-controller-manager-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-lifecycle-msgs, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: Messages and services for the controller manager.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager-msgs//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-controller-manager-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-controller-manager-msgs//opt/ros/humble/opt/controller_manager_msgs/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh

## ros-humble-controller-manager-msgs 2.43.1

=== debian/changelog ===
ros-humble-controller-manager-msgs (2.43.1-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 10 Sep 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.43.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 21 Aug 2024 16:00:00 -0000

ros-humble-controller-manager-msgs (2.42.0-1bookworm) bookworm; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Mon, 22 Jul 2024 16:00:00 -0000
